using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace CopsAndRobbers
{
    class Box : Sprite
    {
        public Box(Vector2 thePosition, int theWidth, int theHeight, Color theColor) : base(thePosition, theWidth, theHeight, theColor) 
        {
        }

        //Use the Wall Texture to draw a Square Box on the screen
        public override void Draw()
        {
            mBatch.Draw(Texture.Wall, mDestination, mColor);
            base.Draw();
        }

    }
}
