using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace CopsAndRobbers
{
    class Floor : Box
    {
        //Define the Height (thickness) of a floor
        protected const int Floor_Height = 25;

        public Floor(Vector2 thePosition, int theWidth, Color theColor) : base(thePosition, theWidth, Floor_Height, theColor)
        {
            //Turn off the hit boxes for the floors so that the ramp hitboxes can be seen
            HitBoxVisible = false;
        }
    }
}
