using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

using Microsoft.Xna.Framework.Storage;

namespace CopsAndRobbers
{
    class TextureManager
    {
        //Define the paths for all of the images
        const string Texture_CopText = "Images/cops";
        const string Texture_RobberText = "Images/robbers";
        const string Texture_Wall = "Images/wall";
        const string Texture_PowerUp = "Images/powerups";
        const string Texture_Cars = "Images/cars";
                
        public TextureManager()
        {
        }

        //Load all of the image files into Texture objects
        public void LoadContent(ContentManager theContent)
        {
            mCopTextTexture = theContent.Load<Texture2D>(Texture_CopText);
            mRobberTextTexture = theContent.Load<Texture2D>(Texture_RobberText);
            mWallTexture = theContent.Load<Texture2D>(Texture_Wall);
            mPowerUpTexture = theContent.Load<Texture2D>(Texture_PowerUp);
            mCarTexture = theContent.Load<Texture2D>(Texture_Cars);
        }
                
        Texture2D mCopTextTexture;        
        public Texture2D CopText
        {
            get { return mCopTextTexture; }
        }

        Texture2D mRobberTextTexture;
        public Texture2D RobberText
        {
            get { return mRobberTextTexture; }
        }

        Texture2D mWallTexture;
        public Texture2D Wall
        {
            get { return mWallTexture; }
        }

        Texture2D mPowerUpTexture;
        public Texture2D PowerUp
        {
            get { return mPowerUpTexture; }
        }

        protected Texture2D mCarTexture;
        public Texture2D Car
        {
            get { return mCarTexture; }
        }
    
    }
}
